Package oracle.jdbc.diagnostics

## Class PropertyChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - oracle.jdbc.diagnostics.PropertyChangeEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class PropertyChangeEvent
    extends java.util.EventObject

Introduced to fix Bug 36302408 - ORACLE JDBC DRIVER 23ai HAS COUPLING TO JAVA.DESKTOP MODULE. This class replaces the use of `PropertyChangeEvent` to eliminate dependancy on module java.desktop.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`PropertyChangeEvent​(java.lang.Object source, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getNewValue()`
`java.lang.String` `getPropertyName()`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropertyChangeEvent

    public PropertyChangeEvent​(java.lang.Object source,
                               java.lang.String propertyName,
                               java.lang.Object oldValue,
                               java.lang.Object newValue)

### Method Detail

#### getNewValue

    public java.lang.Object getNewValue()

#### getPropertyName

    public java.lang.String getPropertyName()